]> https://gitweb.dealii.org/ - dealii-svn.git/commitdiff
Regenerate.
authorwolf <wolf@0785d39b-7218-0410-832d-ea1e28bc413d>
Fri, 10 Jan 2003 16:30:46 +0000 (16:30 +0000)
committerwolf <wolf@0785d39b-7218-0410-832d-ea1e28bc413d>
Fri, 10 Jan 2003 16:30:46 +0000 (16:30 +0000)
git-svn-id: https://svn.dealii.org/trunk@6910 0785d39b-7218-0410-832d-ea1e28bc413d

deal.II/configure

index 37f4160dbd134bf64c6a3fb3f65b27a6ba3a691c..5dc43d6278c2975a7b95114f7fa3a3ffe6a25667 100755 (executable)
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.135 .
+# From configure.in Revision: 1.137 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.57.
 #
@@ -3475,6 +3475,69 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
        echo "$as_me:$LINENO: result: ok" >&5
 echo "${ECHO_T}ok" >&6
 
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
+       { { echo "$as_me:$LINENO: error: not found" >&5
+echo "$as_me: error: not found" >&2;}
+   { (exit 1); exit 1; }; }
+
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+
+  echo "$as_me:$LINENO: checking for posix thread condition variable functions" >&5
+echo $ECHO_N "checking for posix thread condition variable functions... $ECHO_C" >&6
+  ac_ext=cc
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
+  cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+#      include <pthread.h>
+
+int
+main ()
+{
+
+       pthread_cond_t   pc;
+       pthread_cond_init (&pc, 0);
+       pthread_cond_signal (&pc);
+       pthread_cond_broadcast (&pc);
+
+        pthread_mutex_t pm;
+        pthread_cond_wait (&pc, &pm);
+       pthread_cond_destroy (&pc);
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+
+       echo "$as_me:$LINENO: result: ok" >&5
+echo "${ECHO_T}ok" >&6
+
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5

In the beginning the Universe was created. This has made a lot of people very angry and has been widely regarded as a bad move.

Douglas Adams


Typeset in Trocchi and Trocchi Bold Sans Serif.